<template lang="html">
<v-container>
<v-layout row wrap>
  <v-flex xs12>
      <v-btn color="info" @click="addSubject">New Subject</v-btn>
  </v-flex>
      <v-flex xs12>
      <section class="subjects">
         <v-data-table
        :headers="headers"
        :items="subjects"
        class="elevation-1"
      >
      <template v-slot:items="props">
          <td class="text-xs-left">{{ props.item.subject_id }}</td>
            <td class="text-xs-left">{{ props.item.subject_name }}</td>
            <td class="text-xs-left">{{ props.item.subject_code }}</td>
            <td class="text-xs-left">{{ props.item.academic_year }}</td>
            <td class="text-xs-left">{{ props.item.lab_per_week }}</td>
            <td class="text-xs-left">{{ props.item.period_in_weeks }}</td>
            <td class="text-xs-left">{{ props.item.lectures_in_week }}</td>
        </template>
      </v-data-table>
      </section>
  </v-flex>
</v-layout>
</v-container>
</template>

<script lang="js">
import service from '../services/subjects.js'
  export default  {
    name: 'subject',
    props: [],
    mounted() {
      console.log("mounted")
       service.getAll().then((result)=>{
        console.log("subject service called")
        this.subjects = result.data
        console.log(this.subjects)
      })
    },
    data() {
      return {
        headers: [
          {
            text: 'subject_id',
            align: 'left',
            sortable: false,
            value: 'subject_id'
          },
           {
            text: 'subject_name',
            align: 'left',
            sortable: false,
            value: 'subject_name'
          },
           {
            text: 'subject_code',
            align: 'left',
            sortable: false,
            value: 'subject_code'
          },
          {
            text: 'academic_year',
            align: 'left',
            sortable: false,
            value: 'academic_year'
          },
          {
            text: 'lab_per_week',
            align: 'left',
            sortable: false,
            value: 'lab_per_week'
          },
           {
            text: 'period_in_weeks',
            align: 'left',
            sortable: false,
            value: 'period_in_weeks'
          },
          {
            text: 'lectures_in_week',
            align: 'left',
            sortable: false,
            value: 'lectures_in_week'
          }
        ],
      subjects: []
      }
    },
    methods: {
      addSubject() {
      this.$router.push({ name: 'newSubject'})
    }
    },
    computed: {

    }
}
</script>

<style scoped>

</style>
